• xorg-server update causes issues with nvidia propritary drivers


    so the issue is solved? just noticed…

  • 340xx issue?

  • the X 2.0 vs Nvidia drivers

  • I am now seeing the following when running nvidia-installer

    nvidia-installer 
    2018-06-19 08:48:18 [INFO]: Antergos Nvidia Installer v1.17
    2018-06-19 08:48:18 [INFO]: All logs will be stored in /tmp/nvidia-installer.log
    2018-06-19 08:48:18 [INFO]: Installing nvidia-390xx driver...
    2018-06-19 08:48:18 [INFO]: Removing conflicting packages...
    2018-06-19 08:48:19 [INFO]: Downloading and installing driver packages, please wait...
    2018-06-19 08:48:25 [ERROR]: Cannot install required packages: :: Synchronizing package databases...
    downloading antergos.db...
    downloading core.db...
    downloading extra.db...
    downloading community.db...
    downloading multilib.db...
    warning: libvdpau-1.1.1+3+ga21bf7a-1 is up to date -- reinstalling
    warning: lib32-libvdpau-1.1.1-3 is up to date -- reinstalling
    resolving dependencies...
    warning: cannot resolve "nvidia-390xx-utils=390.59", a dependency of "nvidia-390xx-lts"
    :: The following package cannot be upgraded due to unresolvable dependencies:
          nvidia-390xx-lts
    
    :: Do you want to skip the above package for this upgrade? [y/N] error: failed to prepare transaction (could not satisfy dependencies)
    
    :: unable to satisfy dependency 'nvidia-390xx-utils=390.59' required by nvidia-390xx-lts
    
    
  • Take a look at this thread, you’re not the only one:
    https://forum.antergos.com/topic/10143/nvidia-390xx-lts-dependency-issue/2

  • i used the Antergos tool “nvidia-installer” and now i have the 340 drivers working but i only have gnome working under wayland

  • Thank you @quimkaos for the heads up, nvidia 340xx is up and running over here also (Geforce 9600M GT)

  • 😁 9600 GT here too

  • BTW for everyone else I’m running Xorg, ot Wayland.

  • GT 220 seems to work okay as well.

    Do we know if the 304xx drivers will be fixed, too?

  • @grenouille : me and @Bryanpwo are using the 340 driver

  • upz read 340 instead of 304, but probably yes

  • so to make it clear nvidia is pushing a new version of 340 drivers what supporting latest xorg?

  • @bryanpwo said in xorg-server update causes issues with nvidia propritary drivers:

    Take a look at this thread, you’re not the only one:
    https://forum.antergos.com/topic/10143/nvidia-390xx-lts-dependency-issue/2

    Thanks for the pointer, I installed nvidia-390xx-dkms package and rebooted, everything working fantastic atm.

    Nz

  • @notzippy
    My pleasure.

    @joekamprad
    Yes, 340xx is running with the latest xorg.

  • @bryanpwo said in xorg-server update causes issues with nvidia propritary drivers:

    BTW for everyone else I’m running Xorg, ot Wayland.

    Looks that i’m not using Wayland either, since

    echo XDG_SESSION_TYPE
    

    returns X11
    thou when i login in, in GDM, now i only have Gnome (that usually is Wayland) and Gnome Classic options. The option Gnome X11 is missing.
    Well… not really an issue… 8p

  • @quimkaos
    I’m not 100% sure, but I think it has to do with the nvidia drivers, that gnome starts with Xorg instead of Wayland.

nvidia163 issues98 causes6 xorg-server3 Posts 177Views 10839
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.